import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;

public class ConnectionTest {

	public static void main(String[] args) {
		try{
			//JDBCドライバークラスを指定する
			String drivername = "com.mysql.jdbc.Driver";

			//データベースを指定する
			String url = "jdbc:mysql://localhost:3306/books?characterEncoding=utf8";

			//ユーザー名を指定する
			String username = "root";

			//パスワードを指定する
			String password = "";

			//指定したドライバークラスを読み込む
			Class.forName(drivername);

			//データベースに接続する
			Connection con = DriverManager.getConnection(url, username, password);

			//Booksテーブルのデータを取得するSQL文を作成
			String sql = "SELECT * FROM Books";

			//Statementオブジェクトを取得する
			Statement st = con.createStatement();

			//SQL文を実行する
			ResultSet rs = st.executeQuery(sql);

			System.out.println("次の一覧から検索する書籍IDを選んでください。");
			//データを取得する
			while(rs.next()){
				System.out.printf("書籍ID：%s　", rs.getString("Id"));
				System.out.printf("書籍名：%s\n", rs.getString("BookName"));
			}

			//ResultSetを閉じる
			rs.close();

			//検索するデータを入力する
			BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
			System.out.print("\n検索するID：");
			int id = Integer.parseInt(br.readLine());

			//検索するSQL文を生成
			sql = "SELECT Price FROM Books WHERE Id=" + id;

			//SQL文を実行する
			rs = st.executeQuery(sql);

			//データを取得する
			rs.next();
			int price = rs.getInt(1);

			//ResultSetを閉じる
			rs.close();

			//結果を表示する
			System.out.printf("価格：%d", price);
			
			//データベースを切断する
			con.close();
		}catch(Exception e){
			//例外の状態を出力する
			e.printStackTrace();
		}
	}

}
